[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#665689: live-boot initscript fails if VERBOSE=no



Package: live-boot
Severity: normal

I recently built a sid image that I couldn't login into.  Digging through the image I found live-boot was failing with:

startpar: service(s) returned failure: live-config live-boot ... failed!

I started in single user mode, and when trying to start
/etc/init.d/live-boot by hand I found that the script returned exit
status 1.  The buggy code is live-boot.init, line 228:

case "${1}" in
	start|restart|reload|force-reload|status)
		[ "${VERBOSE}" != no ] && log_end_msg 0
		;;

The problem is that since VERBOSE != no, the script will return $? of
the last run command. That is test [, which was 1.

I attach a patch that fixes this issue.


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-2-686-pae (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

--
diff --git a/debian/live-boot.init b/debian/live-boot.init
old mode 100644
new mode 100755
index 5799c44..ffd0609
--- a/debian/live-boot.init
+++ b/debian/live-boot.init
@@ -225,7 +225,7 @@ do_stop ()
 
 case "${1}" in
 	start|restart|reload|force-reload|status)
-		[ "${VERBOSE}" != no ] && log_end_msg 0
+		[ "${VERBOSE}" != no ] && log_end_msg 0 || exit 0
 		;;
 
 	stop)
@@ -234,11 +234,11 @@ case "${1}" in
 
 		case "${?}" in
 			0|1)
-				[ "${VERBOSE}" != no ] && log_end_msg 0
+				[ "${VERBOSE}" != no ] && log_end_msg 0 || exit 0
 				;;
 
 			2)
-				[ "${VERBOSE}" != no ] && log_end_msg 1
+				[ "${VERBOSE}" != no ] && log_end_msg 1 || exit 1
 				;;
 		esac
 		;;

Reply to: